Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2220316 - F39FailsToInstall: python3-lsp-server
Summary: F39FailsToInstall: python3-lsp-server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-lsp-server
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Sandro
QA Contact:
URL:
Whiteboard:
: 2226235 (view as bug list)
Depends On: 2220426 2226154 2236998
Blocks: F39FTBFS F39FailsToInstall F40FTBFS PYTHON3.12 2220432 2220598
TreeView+ depends on / blocked
 
Reported: 2023-07-05 19:14 UTC by Fedora Fails To Install
Modified: 2023-09-22 00:20 UTC (History)
10 users (show)

Fixed In Version: python-lsp-server-1.8.0-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-22 00:20:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Package Sources python-lsp-server pull-request 1 0 None None None 2023-09-02 19:39:44 UTC

Description Fedora Fails To Install 2023-07-05 19:14:46 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (python-lsp-server) Fails To Install in Fedora 39:

can't install python3-lsp-server:
  - nothing provides python(abi) = 3.11 needed by python3-lsp-server-1.4.1-3.fc37.noarch
  - nothing provides python3.11dist(ujson) >= 3 needed by python3-lsp-server-1.4.1-3.fc37.noarch
  - nothing provides python3.11dist(pluggy) >= 1 needed by python3-lsp-server-1.4.1-3.fc37.noarch
  - nothing provides python3.11dist(setuptools) >= 39 needed by python3-lsp-server-1.4.1-3.fc37.noarch
  - nothing provides (python3.11dist(jedi) < 0.19~~ with python3.11dist(jedi) >= 0.17.2) needed by python3-lsp-server-1.4.1-3.fc37.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install python3-lsp-server


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-07-13 11:54:34 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 2 Mukundan Ragavan 2023-07-27 02:26:35 UTC
I will try to fix this

Comment 3 Fedora Fails To Install 2023-08-05 09:27:08 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 4+ weeks.
This is the second reminder (step 4) from the policy.

Don't hesitate to ask for help on https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/ if you are unsure how to fix this bug.

Comment 4 Mukundan Ragavan 2023-08-13 22:04:24 UTC
*** Bug 2226235 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Release Engineering 2023-08-16 07:17:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 7 Fedora Admin user for bugzilla script actions 2023-08-16 12:55:28 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Fails To Install 2023-08-17 13:47:27 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/python-lsp-server by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 9 Fedora Admin user for bugzilla script actions 2023-08-28 00:55:07 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 10 Fedora Fails To Install 2023-08-28 10:37:41 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/ if you are unsure how to fix this bug.

Comment 11 Adam Williamson 2023-08-29 19:12:03 UTC
We would likely want to bump to the latest version of this - 1.7.4 - but that's problematic as it needs newer versions of rope and yapf.

I think bumping yapf to 0.33.0 would be simple (0.40.0 might be a bit tricker), but bumping rope is harder, because newer versions of rope require https://github.com/bagel897/pytoolconfig , which is not yet packaged for Fedora, so that will need to be added to the distro first.

Comment 12 Ben Beasley 2023-08-29 20:49:12 UTC
(In reply to Adam Williamson from comment #11)
> We would likely want to bump to the latest version of this - 1.7.4 - but
> that's problematic as it needs newer versions of rope and yapf.
> 
> I think bumping yapf to 0.33.0 would be simple (0.40.0 might be a bit
> tricker), but bumping rope is harder, because newer versions of rope require
> https://github.com/bagel897/pytoolconfig , which is not yet packaged for
> Fedora, so that will need to be added to the distro first.

I experimented with adopting python-rope and getting it up to date, ran into some test failures I did not feel like spending a lot of time on, and moved on.

However, I did get python-pytoolconfig properly packaged locally, and I am happy to throw up a review request and maintain/co-maintain a python-pytoolconfig package if someone else wants to do the necessary work on python-rope.

Comment 13 Adam Williamson 2023-08-29 20:52:59 UTC
Jonathan Wright, who took spyder (which depends on this), indicated to me in chat he wants to pick up the orphaned deps of spyder and ultimately get spyder working again, so I guess he'd be interested. Adding him to CC.

Comment 14 Sandro 2023-08-29 21:02:36 UTC
(In reply to Ben Beasley from comment #12)
> I experimented with adopting python-rope and getting it up to date, ran into
> some test failures I did not feel like spending a lot of time on, and moved
> on.

Did you try the latest release in combination with pytoolconfig? And that had test failures?

> However, I did get python-pytoolconfig properly packaged locally, and I am
> happy to throw up a review request and maintain/co-maintain a
> python-pytoolconfig package if someone else wants to do the necessary work
> on python-rope.

Well, I guess I will be adopting another package then... ;-)

(In reply to Adam Williamson from comment #11)
> We would likely want to bump to the latest version of this - 1.7.4 - but
> that's problematic as it needs newer versions of rope and yapf.
> 
> I think bumping yapf to 0.33.0 would be simple (0.40.0 might be a bit
> tricker), but bumping rope is harder, because newer versions of rope require
> https://github.com/bagel897/pytoolconfig , which is not yet packaged for
> Fedora, so that will need to be added to the distro first.

Updating to the latest release is what I had in mind as well. Maybe not in one giant step, but eventually. I know the maintainer of yapf. Time for a nudge.

(In reply to Adam Williamson from comment #13)
> Jonathan Wright, who took spyder (which depends on this), indicated to me in
> chat he wants to pick up the orphaned deps of spyder and ultimately get
> spyder working again, so I guess he'd be interested. Adding him to CC.

Well, I made him co-maintainer of all packages which are dependencies of Spyder and which I recently adopted for that reason. So he will be in Cc for any new bugs.

Comment 15 Ben Beasley 2023-08-29 21:14:01 UTC
(In reply to Sandro from comment #14)
> (In reply to Ben Beasley from comment #12)
> > I experimented with adopting python-rope and getting it up to date, ran into
> > some test failures I did not feel like spending a lot of time on, and moved
> > on.
> 
> Did you try the latest release in combination with pytoolconfig? And that
> had test failures?

I think so? But I will have to go back and look at my work in progress. I can also push my efforts to a fork and link to it. I imagine the problems are surmountable; I just didn’t have a very high annoyance quota for the package.

It sounds like there’s enough interest backed by labor to bring this stack back to life, so I’ll go ahead and post the review request for python-pytoolconfig too.

Comment 16 Sandro 2023-08-29 21:31:03 UTC
(In reply to Ben Beasley from comment #15)
> (In reply to Sandro from comment #14)
> > Did you try the latest release in combination with pytoolconfig? And that
> > had test failures?
> 
> I think so? But I will have to go back and look at my work in progress. I
> can also push my efforts to a fork and link to it. I imagine the problems
> are surmountable; I just didn’t have a very high annoyance quota for the
> package.

If you could publish what you have in a fork, that would be great. I can pick up from there.

> It sounds like there’s enough interest backed by labor to bring this stack
> back to life, so I’ll go ahead and post the review request for
> python-pytoolconfig too.

Thank you! I can do the review. Ping me on Matrix/IRC when it's up.

Comment 17 Sandro 2023-09-02 19:39:44 UTC
I updated python-lsp-server to the latest release (1.7.4). That brought up another unpackaged dependency (bug 2236998, reviewers welcome) as well as two packaged dependencies (python-autopep8 and python3-pydocstyle) , which have not yet been fixed for Python3.12.

The preliminary build is here: https://copr.fedorainfracloud.org/coprs/gui1ty/reviews/build/6366250/

Comment 18 Sandro 2023-09-03 11:25:37 UTC
This now builds with "fixed" autopep8 and pydocstyle in Copr: https://copr.fedorainfracloud.org/coprs/gui1ty/reviews/build/6367119/

I've submitted PRs for both autopep8 and pydocstyle to get this unblocked.

Comment 19 Fedora Fails To Install 2023-09-21 09:58:17 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 40.

Thanks for taking care of it!

Comment 20 Sandro 2023-09-21 10:14:59 UTC
Update is in testing (a whole bunch of them): https://bodhi.fedoraproject.org/updates/FEDORA-2023-58ed7d993b

Comment 21 Fedora Update System 2023-09-21 10:44:02 UTC
FEDORA-2023-58ed7d993b has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-58ed7d993b

Comment 22 Fedora Update System 2023-09-22 00:20:05 UTC
FEDORA-2023-58ed7d993b has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.